pqxx::connect_null Class Reference
Connection classes

Nonfunctional, always-down connection policy for testing/debugging purposes. More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_null:

## Public Member Functions

| connect_null (const std::string &opts)
Public Member Functions inherited from pqxx::connectionpolicy
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_startconnect (handle orig)
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()

## Additional Inherited Members

Public Types inherited from pqxx::connectionpolicy
typedef internal::pq::PGconn * | handle
Protected Member Functions inherited from pqxx::connectionpolicy
handle | normalconnect (handle)

## Detailed Description

Nonfunctional, always-down connection policy for testing/debugging purposes.

Warning
  You don't want to use this policy in normal code. Written for debugging and testing, this "connection policy" always fails to connect, and the internal connection pointer always remains null.

## Constructor & Destructor Documentation

## connect_null()

pqxx::connect_null::connect_null | ( | const std::string & | opts | ) |

explicit

The documentation for this class was generated from the following file:

- connection.hxx